diff --git a/src/Lunr/Core/Tests/AutoloaderTest.php b/src/Lunr/Core/Tests/AutoloaderTest.php
index 336251da61302e49bc45580ac5f08d19b663f97f..d2ca2b2ae0445d47ea7eb7b7d468ecb2c5bf19a2 100644
--- a/src/Lunr/Core/Tests/AutoloaderTest.php
+++ b/src/Lunr/Core/Tests/AutoloaderTest.php
@@ -14,7 +14,7 @@
 namespace Lunr\Core\Tests;
 
 use Lunr\Core\Autoloader;
-use PHPUnit_Framework_TestCase;
+use PHPUnit\Framework\TestCase;
 use ReflectionClass;
 
 /**
@@ -22,7 +22,7 @@ use ReflectionClass;
  *
  * @covers     Lunr\Core\Autoloader
  */
-class AutoloaderTest extends PHPUnit_Framework_TestCase
+class AutoloaderTest extends TestCase
 {
 
     /**
diff --git a/src/Lunr/Core/Tests/ConfigurationLoadFileTest.php b/src/Lunr/Core/Tests/ConfigurationLoadFileTest.php
index 2d6e06e289fcd4b09755e5034e3abb480c745d71..ea65141b5e0e5913802211a6b063b766d7e789a4 100644
--- a/src/Lunr/Core/Tests/ConfigurationLoadFileTest.php
+++ b/src/Lunr/Core/Tests/ConfigurationLoadFileTest.php
@@ -14,6 +14,7 @@
 namespace Lunr\Core\Tests;
 
 use Lunr\Core\Configuration;
+use PHPUnit\Framework\Error\Error;
 
 /**
  * This tests loading configuration files via the Configuration class.
@@ -114,7 +115,7 @@ class ConfigurationLoadFileTest extends ConfigurationTest
     /**
      * Test loading a non-existing file.
      *
-     * @expectedException PHPUnit_Framework_Error
+     * @expectedException Error
      */
     public function testLoadNonExistingFile()
     {
diff --git a/src/Lunr/Core/Tests/ConfigurationTest.php b/src/Lunr/Core/Tests/ConfigurationTest.php
index 23cd7840f65c8436007996bb7aa6519d44a931d6..3f61aa22ee358cd6c7c57315ee8aaedfdcff52a8 100644
--- a/src/Lunr/Core/Tests/ConfigurationTest.php
+++ b/src/Lunr/Core/Tests/ConfigurationTest.php
@@ -14,7 +14,7 @@
 namespace Lunr\Core\Tests;
 
 use Lunr\Core\Configuration;
-use PHPUnit_Framework_TestCase;
+use PHPUnit\Framework\TestCase;
 use ReflectionClass;
 use stdClass;
 
@@ -24,7 +24,7 @@ use stdClass;
  *
  * @covers     Lunr\Core\DateTime
  */
-abstract class ConfigurationTest extends PHPUnit_Framework_TestCase
+abstract class ConfigurationTest extends TestCase
 {
 
     /**
diff --git a/src/Lunr/Corona/Tests/FrontControllerDispatchTest.php b/src/Lunr/Corona/Tests/FrontControllerDispatchTest.php
index 3c99b07fc6e6948a52bd2491d2ef8f8aab98ed4c..f31a58cba8348977cb195deeb64fe367a6434a89 100644
--- a/src/Lunr/Corona/Tests/FrontControllerDispatchTest.php
+++ b/src/Lunr/Corona/Tests/FrontControllerDispatchTest.php
@@ -13,6 +13,8 @@
 
 namespace Lunr\Corona\Tests;
 
+use PHPUnit\Framework\Error\Error as PHPUnit_Framework_Error;
+
 /**
  * This class contains tests for dispatching controllers with the FrontController class.
  *
diff --git a/src/Lunr/Feedback/Tests/PHPLoggerTest.php b/src/Lunr/Feedback/Tests/PHPLoggerTest.php
index aa3c12a249f26f735bfbd309a535c1aac3a81d07..54b0173773f62e840ee2e91cb09d30fa98c89dc1 100644
--- a/src/Lunr/Feedback/Tests/PHPLoggerTest.php
+++ b/src/Lunr/Feedback/Tests/PHPLoggerTest.php
@@ -14,6 +14,7 @@
 namespace Lunr\Feedback\Tests;
 
 use Lunr\Feedback\PHPLogger;
+use PHPUnit\Framework\Error\Warning as PHPUnit_Framework_Error_Warning;
 use Psr\Log\LogLevel;
 use Lunr\Halo\LunrBaseTest;
 use ReflectionClass;
diff --git a/src/Lunr/Gravity/Database/MySQL/Tests/MySQLAsyncQueryResultTest.php b/src/Lunr/Gravity/Database/MySQL/Tests/MySQLAsyncQueryResultTest.php
index 154e4d260db5e84adfc1b569d4315d57b9ffc696..be56692c170d9ffce71e71a13ed0428dc99fa9e0 100644
--- a/src/Lunr/Gravity/Database/MySQL/Tests/MySQLAsyncQueryResultTest.php
+++ b/src/Lunr/Gravity/Database/MySQL/Tests/MySQLAsyncQueryResultTest.php
@@ -14,7 +14,7 @@
 namespace Lunr\Gravity\Database\MySQL\Tests;
 
 use Lunr\Gravity\Database\MySQL\MySQLAsyncQueryResult;
-use PHPUnit_Framework_TestCase;
+use PHPUnit\Framework\TestCase;
 use ReflectionClass;
 use mysqli;
 
@@ -24,7 +24,7 @@ use mysqli;
  *
  * @covers Lunr\Gravity\Database\MySQL\MySQLAsyncQueryResult
  */
-abstract class MySQLAsyncQueryResultTest extends PHPUnit_Framework_TestCase
+abstract class MySQLAsyncQueryResultTest extends TestCase
 {
 
     /**
diff --git a/src/Lunr/Gravity/Database/MySQL/Tests/MySQLDMLQueryBuilderTest.php b/src/Lunr/Gravity/Database/MySQL/Tests/MySQLDMLQueryBuilderTest.php
index 4522061c8a67dba62b0ef8af75610b9e25a464d0..6832a8ab72323a7916501a5e928aaf13fc982cee 100644
--- a/src/Lunr/Gravity/Database/MySQL/Tests/MySQLDMLQueryBuilderTest.php
+++ b/src/Lunr/Gravity/Database/MySQL/Tests/MySQLDMLQueryBuilderTest.php
@@ -16,7 +16,7 @@ namespace Lunr\Gravity\Database\MySQL\Tests;
 
 use Lunr\Gravity\Database\MySQL\MySQLDMLQueryBuilder;
 
-use PHPUnit_Framework_TestCase;
+use PHPUnit\Framework\TestCase;
 use ReflectionClass;
 
 /**
@@ -25,7 +25,7 @@ use ReflectionClass;
  *
  * @covers Lunr\Gravity\Database\MySQL\MySQLDMLQueryBuilder
  */
-abstract class MySQLDMLQueryBuilderTest extends PHPUnit_Framework_TestCase
+abstract class MySQLDMLQueryBuilderTest extends TestCase
 {
 
     /**
diff --git a/src/Lunr/Gravity/Database/MySQL/Tests/MySQLQueryResultTest.php b/src/Lunr/Gravity/Database/MySQL/Tests/MySQLQueryResultTest.php
index 742cd21331e182dad323499c68ed7d0281d24a0f..00c72de969abed892f446e4402f464daa6a77003 100644
--- a/src/Lunr/Gravity/Database/MySQL/Tests/MySQLQueryResultTest.php
+++ b/src/Lunr/Gravity/Database/MySQL/Tests/MySQLQueryResultTest.php
@@ -14,7 +14,7 @@
 namespace Lunr\Gravity\Database\MySQL\Tests;
 
 use Lunr\Gravity\Database\MySQL\MySQLQueryResult;
-use PHPUnit_Framework_TestCase;
+use PHPUnit\Framework\TestCase;
 use ReflectionClass;
 use mysqli;
 use mysqli_result;
@@ -25,7 +25,7 @@ use mysqli_result;
  *
  * @covers Lunr\Gravity\Database\MySQL\MySQLQueryResult
  */
-abstract class MySQLQueryResultTest extends PHPUnit_Framework_TestCase
+abstract class MySQLQueryResultTest extends TestCase
 {
 
     /**
diff --git a/src/Lunr/Gravity/Database/SQLite3/Tests/LunrSQLite3Test.php b/src/Lunr/Gravity/Database/SQLite3/Tests/LunrSQLite3Test.php
index f25116d675d29c7d467b986c0df4d163701e3125..9c2f3398bc5ce906dbbad6a7223f08fcc2f11c15 100644
--- a/src/Lunr/Gravity/Database/SQLite3/Tests/LunrSQLite3Test.php
+++ b/src/Lunr/Gravity/Database/SQLite3/Tests/LunrSQLite3Test.php
@@ -15,6 +15,7 @@ namespace Lunr\Gravity\Database\SQLite3\Tests;
 
 use Lunr\Gravity\Database\SQLite3\LunrSQLite3;
 use Lunr\Halo\LunrBaseTest;
+use PHPUnit\Framework\Error\Warning as PHPUnit_Framework_Error_Warning;
 use ReflectionClass;
 
 /**
diff --git a/src/Lunr/Gravity/Database/Tests/DatabaseAccessObjectTest.php b/src/Lunr/Gravity/Database/Tests/DatabaseAccessObjectTest.php
index f179f0bd2aaeed2739f5feb49780813f50b5a03b..1dbea1c5c6a1b7a35743f4fb45df407ac4e08c80 100644
--- a/src/Lunr/Gravity/Database/Tests/DatabaseAccessObjectTest.php
+++ b/src/Lunr/Gravity/Database/Tests/DatabaseAccessObjectTest.php
@@ -14,7 +14,7 @@
 namespace Lunr\Gravity\Database\Tests;
 
 use Lunr\Gravity\Database\DatabaseAccessObject;
-use PHPUnit_Framework_TestCase;
+use PHPUnit\Framework\TestCase;
 use ReflectionClass;
 
 /**
@@ -22,7 +22,7 @@ use ReflectionClass;
  *
  * @covers Lunr\Gravity\Database\DatabaseAccessObject
  */
-abstract class DatabaseAccessObjectTest extends PHPUnit_Framework_TestCase
+abstract class DatabaseAccessObjectTest extends TestCase
 {
 
     /**
diff --git a/src/Lunr/Gravity/Database/Tests/DatabaseConnectionPoolTest.php b/src/Lunr/Gravity/Database/Tests/DatabaseConnectionPoolTest.php
index 6f639dcac50bcfd0258e216fa12bf9178a7ab29a..6680ec73ec0f40a755d2b6fc4a360e451db95ff9 100644
--- a/src/Lunr/Gravity/Database/Tests/DatabaseConnectionPoolTest.php
+++ b/src/Lunr/Gravity/Database/Tests/DatabaseConnectionPoolTest.php
@@ -14,7 +14,7 @@
 namespace Lunr\Gravity\Database\Tests;
 
 use Lunr\Gravity\Database\DatabaseConnectionPool;
-use PHPUnit_Framework_TestCase;
+use PHPUnit\Framework\TestCase;
 use ReflectionClass;
 
 /**
@@ -23,7 +23,7 @@ use ReflectionClass;
  *
  * @covers Lunr\Gravity\Database\DatabaseConnectionPool
  */
-abstract class DatabaseConnectionPoolTest extends PHPUnit_Framework_TestCase
+abstract class DatabaseConnectionPoolTest extends TestCase
 {
 
     /**
diff --git a/src/Lunr/Gravity/Database/Tests/DatabaseQueryEscaperEscapeTest.php b/src/Lunr/Gravity/Database/Tests/DatabaseQueryEscaperEscapeTest.php
index 38b356dc3eb27fd9690a359e3e933c8bfeb52066..c681717e9a04edc296a7a6ac4cfceb4d3865817f 100644
--- a/src/Lunr/Gravity/Database/Tests/DatabaseQueryEscaperEscapeTest.php
+++ b/src/Lunr/Gravity/Database/Tests/DatabaseQueryEscaperEscapeTest.php
@@ -15,6 +15,7 @@ namespace Lunr\Gravity\Database\Tests;
 
 use Lunr\Gravity\Database\DatabaseQueryEscaper;
 use Lunr\Halo\LunrBaseTest;
+use PHPUnit\Framework\Error\Notice as PHPUnit_Framework_Error_Notice;
 use ReflectionClass;
 
 /**
diff --git a/src/Lunr/Gravity/Filesystem/Tests/PhysicalFilesystemAccessObjectDirectoryTest.php b/src/Lunr/Gravity/Filesystem/Tests/PhysicalFilesystemAccessObjectDirectoryTest.php
index 08e76d17c738e3f3211756da09a042b90414a29c..73338be178ca398bc0276e15b7437816336edace 100644
--- a/src/Lunr/Gravity/Filesystem/Tests/PhysicalFilesystemAccessObjectDirectoryTest.php
+++ b/src/Lunr/Gravity/Filesystem/Tests/PhysicalFilesystemAccessObjectDirectoryTest.php
@@ -15,6 +15,7 @@
 namespace Lunr\Gravity\Filesystem\Tests;
 
 use Lunr\Gravity\Filesystem\PhysicalFilesystemAccessObject;
+use PHPUnit\Framework\Error\Warning as PHPUnit_Framework_Error_Warning;
 
 /**
  * This class contains tests for directory related methods in the PhysicalFilesystemAccessObject.
diff --git a/src/Lunr/Gravity/Filesystem/Tests/PhysicalFilesystemAccessObjectFileTest.php b/src/Lunr/Gravity/Filesystem/Tests/PhysicalFilesystemAccessObjectFileTest.php
index 6ffe8005f6e1037138191f30c5a5c83b00e8fef8..7cd415e475f490f49e7219a5e054c7ea0a6ffea2 100644
--- a/src/Lunr/Gravity/Filesystem/Tests/PhysicalFilesystemAccessObjectFileTest.php
+++ b/src/Lunr/Gravity/Filesystem/Tests/PhysicalFilesystemAccessObjectFileTest.php
@@ -14,6 +14,7 @@
 namespace Lunr\Gravity\Filesystem\Tests;
 
 use Lunr\Gravity\Filesystem\PhysicalFilesystemAccessObject;
+use PHPUnit\Framework\Error\Warning as PHPUnit_Framework_Error_Warning;
 
 /**
  * This class contains tests for file related methods in the PhysicalFilesystemAccessObject.
diff --git a/src/Lunr/Halo/LunrBaseTest.php b/src/Lunr/Halo/LunrBaseTest.php
index 7d28a8329a881189ccafadb3a709cbf6c0c1ea84..91a55424e03eadfcc325a762fb8a87b60439d425 100644
--- a/src/Lunr/Halo/LunrBaseTest.php
+++ b/src/Lunr/Halo/LunrBaseTest.php
@@ -13,13 +13,13 @@
 
 namespace Lunr\Halo;
 
-use PHPUnit_Framework_TestCase;
+use PHPUnit\Framework\TestCase;
 use ReflectionClass;
 
 /**
  * This class contains helper code for the Lunr unit tests.
  */
-abstract class LunrBaseTest extends PHPUnit_Framework_TestCase
+abstract class LunrBaseTest extends TestCase
 {
 
     /**
diff --git a/src/Lunr/Sphere/Tests/SessionBaseTest.php b/src/Lunr/Sphere/Tests/SessionBaseTest.php
index f419873aa2b821a43f6b6a4461bc3d4a1903c30e..c5bb37c0b58d615d6ac1da431d22f02c43e39b4a 100644
--- a/src/Lunr/Sphere/Tests/SessionBaseTest.php
+++ b/src/Lunr/Sphere/Tests/SessionBaseTest.php
@@ -13,6 +13,7 @@
  */
 
 namespace Lunr\Sphere\Tests;
+use PHPUnit\Framework\Error\Warning as PHPUnit_Framework_Error_Warning;
 
 /**
  * This class contains tests for the Session class.
diff --git a/tests/system/EnvironmentTest.php b/tests/system/EnvironmentTest.php
index 68fa365ee42ad9959c19093bbd480619e59a34a6..f1535d31ffc43c453a007265667ea859c4ad3ef8 100644
--- a/tests/system/EnvironmentTest.php
+++ b/tests/system/EnvironmentTest.php
@@ -1,13 +1,11 @@
 <?php
 
 /**
- * This file contains the EinvironmentTest class.
+ * This file contains the EnvironmentTest class.
  *
  * PHP Version 5.3
  *
- * @category   Libraries
- * @package    Core
- * @subpackage Tests
+ * @package    Core\Tests
  * @author     Heinz Wiesinger <heinz@m2mobi.com>
  * @copyright  2012-2017, M2Mobi BV, Amsterdam, The Netherlands
  * @license    http://lunr.nl/LICENSE MIT License
@@ -15,19 +13,15 @@
 
 namespace Lunr;
 
-use PHPUnit_Framework_TestCase;
+use PHPUnit\Framework\TestCase;
 use ReflectionClass;
 
 /**
  * This class tests for a proper test environment.
  *
- * @category   Libraries
- * @package    Core
- * @subpackage Tests
- * @author     Heinz Wiesinger <heinz@m2mobi.com>
- * @covers     Lunr\EnvironmentTest
+ * @covers Lunr\EnvironmentTest
  */
-class EnvironmentTest extends PHPUnit_Framework_TestCase
+class EnvironmentTest extends TestCase
 {
 
     /**
